Subject: [Gen-art] Gen-ART Last Call review of draft-ietf-fecframe-ldpc-02

From: Meral Shirazipour <[email-masked]>
Date: Mon, 1 Oct 2012 15:08:35 -0400

I am the assigned Gen-ART reviewer for this draft. For background on Gen-ART, please see the FAQ at <http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq> .

Please resolve these comments along with any other Last Call comments you may receive.

Document: draft-ietf-fecframe-ldpc-02
Reviewer: Meral Shirazipour
Review Date: 2012-10-01
IETF LC End Date: 2012-10-01
IESG Telechat date: NA

Summary:
This draft is almost ready for publication as a standard track RFC, but I have some comments.

Nits/editorial comments:
[Page 3], Section 1, "ALC [RFC5775]", please spell out ALC: "Asynchronous Layered Coding (ALC)"

[Page 3], Section 1, "NORM [RFC5740]", please spell out NORM: "NACK-Oriented Reliable Multicast (NORM)"

[Page 4], line 3, ALU is first used, please spell out: "Application Data Unit (ADU)", or move section "3.3 Abbreviations" to the beginning.

[Page 4], Section "3.1.  Definitions", after the ":" for all definitions, please start with capital letters or with lower case (for consistency please choose one)

[Page 5], for "ADU Block", it would clearer to have Flow ID, Length and Padding fields in parenthesis next to F[], L[], and Pad[] respectively.

[Page 5], after "FEC Framework Configuration Information" please add "(FFCI)".

[Page 5], section 4.1, "G MUST be equal..", please define G in section "3.2.  Notations".

[Page 9], last sentence, "Each ADUI contributes to exactly one source symbol to the source block.", it is clearer to say "...of the source block."

[Page 15], Section 6.1.1, "(e.g., before versus after FEC protection, and within the end-system versus in a middlebox)", please rephrase if possible, this is not very clear.

[Page 19], reference [SIMPLE_RS] is now at version 03.

[Page 19], reference [RFC5053]: title is missing "for Object Delivery"

-Overall for clarity, please adapt one method for spelling out acronyms (either in one section in intro, or throughout the text as they are first used; but not both).
-Overall for clarity, some line feed would be useful in section 5.  

Best Regards,
Meral

---
Meral Shirazipour
Ericsson Research
www.ericsson.com